QGIS Application - Bug report #7512
print engine fouling up labels
2013-04-04 06:06 PM - John Sankey

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:1.8.0 Regression?: No

Operating System: Mac OSX Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 16461
Description

As you can see from the attached images, top is the screen view, bottom the print output, the print engine is fouling up labels when there
are more than just a few of them. | don't know yet when it starts doing this - this is about double the number of labels | was able to print
successfully.

History

#1 - 2013-04-04 06:10 PM - Larry Shaffer

Hi John,

You noted 1.8 for the version. Is that correct, or is this with master branch build (if so, which sha commit id)?

#2 - 2013-04-04 06:13 PM - John Sankey

1.8.0 is correct. | have to stick to stable releases because of the importance of my work with it.

#3 - 2013-04-04 06:15 PM - Larry Shaffer

Unfortunately | can't get either of your issue attachments to load in my browser (Redmine issue ??). Can you post links to them on a different server?

#4 - 2013-04-04 06:23 PM - John Sankey

Firefox gets them fine. | put them on my server: http://johnsankey.ca/qgis2.jpg is the screen view, ...qgis3.jpg the print output. Hope that works.

#5 - 2013-04-04 06:49 PM - Larry Shaffer

Sorry John, | can't load those either (regardless of browser used). Maybe they are corrupted somehow. | had no problem loading your site. All browsers
just stall (as if waiting for the download to start) when trying to load them. Will check back later.

#6 - 2013-04-04 07:04 PM - John Sankey
- File mapa.jpg added

An added note: all labels use the new labeller, with data-dependent x,y,rotation. That itself isn't the problem; see the attached for a successful print of the
same data with fewer labels. (Online it's at http://hunt-club.ncf.ca/mapa.jpg for now)

#7 - 2013-04-05 04:04 AM - John Sankey

Two additional notes: | tried using the old label system for some, then all of the labels. Both ways, the print engine showed everything properly in the

window, but went into an infinite loop when saving to image. | think it's triggered by labels too close to each other even though the old label system doesn't

have conflict detection.

There might well be two issues here: 1. buffer management, since different results are obtained with different numbers of labels, and 2. inconsistencies in

the label collision avoidance system. Anyone with a complex requirement needs the option of turning collision avoidance 100% off. The examples | give are

a picnic compared to city zoning maps :-(

I've checked my images with everything here - they're standard jpegs with no EXIF or any other added code and show fine on everything an Apple has...

#8 - 2014-06-21 11:09 AM - Jiirgen Fischer
- Category set to Map Composer/Printing

#9 - 2014-06-22 12:34 AM - Nyall Dawson
- Category changed from Map Composer/Printing to Labelling

#10 - 2016-06-09 01:18 PM - Nyall Dawson

- Resolution set to not reproducable
- Status changed from Open to Closed

Closing due to age of bug. If it's still an issue in current versions please open a new report with a sample project

Files

screen.jpg 81.4 KB 2013-04-04 John Sankey

print.jpg 80.6 KB 2013-04-04 John Sankey

mapa.jpg 70.1 KB 2013-04-04 John Sankey
